Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.tools.script
Class FolderIndexOperations

    java.lang.Object
      oracle.ifs.core.tools.script.ScriptOperations
          oracle.ifs.core.tools.script.FolderIndexOperations

All Implemented Interfaces:
  Logger

    public class FolderIndexOperations

extends ScriptOperations

FolderIndexOperations defines the operations used to create, drop, rebuild, or inspect the Folder Index.

(Published)

Nested Class Summary

Nested classes/interfaces inherited from class oracle.ifs.core.tools.script.ScriptOperations
`ScriptOperations.ServerDefinition, ScriptOperations.ServiceDefinition`

Field Summary

Fields inherited from class oracle.ifs.core.tools.script.ScriptOperations
`INDENT`

Constructor Summary
`FolderIndexOperations(ScriptDriver driver)` Constructs an FolderIndexOperations.

Method Summary
`protected long` | `applyDeferredUpdates(LibrarySession session, java.lang.String prefix)` Apply deferred updates.
`protected void` | `changeUpdateMode(LibrarySession session, boolean isSync, java.lang.String prefix)` Change update mode to either synchronous or asynchronous.
`protected void` | `completeIndexCreation(LibrarySession session, boolean deferCreate, java.lang.String prefix)` Completes the creation of the folder index.
`void` | `createFolderIndex(AttributeValueTable avt)` Create a Folder index.
`protected void` | `createFolderIndexTables(LibrarySession session, int maxLevel, java.lang.String prefix)` Create the tables that comprise the folder index.
`protected void` | `createInitialFolderIndexRows(LibrarySession session, java.lang.String prefix)` Create the initial self-reference rows for the folder index.
`void` | `dropFolderIndex(AttributeValueTable avt)` Drop the current Folder index.
`protected void` | `dropIndex(LibrarySession session, java.lang.String prefix)` Drop the folder index.
`protected int` | `getMaxLevel(LibrarySession session)` Get the maximum folder index level.
`protected boolean` | `isIndexEnabled(LibrarySession session)` Return true if there is a folder index enabled currently.
`protected boolean` | `isUpdateModeSynchronous(LibrarySession session)` Return true if the update mode of the folder index is synchronous.
`protected void` | `promoteFolder(LibrarySession session, Folder folder, int newLevel, java.lang.String prefix)` Promote a folder to a higher index level.
`protected void` | `promoteFoldersByPath(LibrarySession session, java.lang.String[] paths, int newLevel, java.lang.String prefix)` Promote folders to a higher index level.
`protected void` | `rebuildIndex(LibrarySession session, java.lang.String prefix)` Rebuild the folder index.
`protected void` | `resetFolderIndexRows(LibrarySession session, java.lang.String prefix)` Delete all rows form the folder index except for the "self" rows used to register each existing folder.
`protected void` | `setUseExistsClause(LibrarySession session, boolean useExists, java.lang.String prefix)` Update the 'UseExistsClause' property on the FolderIndex propertyBundle event target.
`void` | `updateFolderIndex(AttributeValueTable avt)` Update the Folder index.

Methods inherited from class oracle.ifs.core.tools.script.ScriptOperations
`abortTransaction, acquireLock, acquireManualLock, activateAuditSpecification, activateOperationActionSpecification, activateSystemObject, addAttribute, addAuditEventProperty, addAuditType, addAuditTypesForClass, addBooleanHandlerProperty, addDefinitionAuditEntryType, addDefinitionAuditEntryTypesForClass, addDefinitionAuditEntryTypesUnderClass, addDefinitionBooleanProperty, addDefinitionDoubleProperty, addDefinitionIntegerProperty, addDefinitionLongProperty, addDefinitionProperties, addDefinitionProperty, addDefinitionStringArrayProperty, addDefinitionStringProperty, addDocumentDefinitionCharacterSet, addDocumentDefinitionContent, addDocumentDefinitionContentBfileReference, addDocumentDefinitionLanguage, addGroupMember, addIntegerHandlerProperty, addLifecyclePolicyEntryDefinition, addLifecyclePolicyEntryDefinition, addLongHandlerProperty, addManagedServerDeclaration, addManagedServerDeclaration, addManagedServerDeclaration, addManagedServiceDeclaration, addManagedServiceDeclaration, addPreparedSelectorBindValue, addPreparedSelectorBooleanBindValue, addPreparedSelectorIntegerBindValue, addPreparedSelectorLibraryObjectBindValue, addPreparedSelectorLongBindValue, addPreparedSelectorStringBindValue, addPublicObjectDefinitionCategory, addSchemaObjectDefinitionCategory, addStringArrayHandlerProperty, addStringHandlerProperty, addSystemObjectDefinitionBooleanProperty, addSystemObjectDefinitionCategory, addSystemObjectDefinitionIntegerProperty, addSystemObjectDefinitionLongProperty, addSystemObjectDefinitionStringArrayProperty, addSystemObjectDefinitionStringProperty, addToDocumentDefinition, addToPublicObjectDefinition, applyLogLevelOverride, applyNamedFreezeLock, assignClassDomain, assignLifecyclePolicyByCategory, assignValueDefault, assignValueDomain, beginTransaction, businessObjectExists, clearImpersonateUser, cloneDefinition, cloneDefinition, comment, comment, compareObjects, completeTransaction, concatenateStrings, concatenateStrings, concatenateStrings, concatenateStrings, concatenateStrings, concatenateStrings, concatenateStrings, concatenateToLowerStrings, concatenateToLowerStrings, concatenateToLowerStrings, concatenateToUpperStrings, concatenateToUpperStrings, concatenateToUpperStrings, connect, connect, constructAuditEvent, constructPreparedSelectorGenerator, convertPropertyDefinitionsToHashtable, convertToBoolean, convertToBoolean, convertToDouble, convertToDouble, convertToInteger, convertToInteger, convertToLong, convertToLong, convertToRelativePath, create, createAndApplyAuditTypeList, createApplicationToken, createAuditSpecification, createAuditSpecification, createAuditSpecification, createAuditSpecification, createAuditTypeList, createAutoFolderingActionSpecification, createCategorizedDocument, createClassDomain, createClassObject, createCustomMediaDriverSpecification, createDefinition, createDefinitionFromDefinitionObject, createDefinitionObject, createDocument, createDocument, createDocument, createExtendedPermission, createFolder, createFolder, createFolder, createFormat, createGroup, createGuestSession, createLifecycleDateRuleSpecification, createLifecyclePolicy, createLifecyclePolicyActionSpecification, createLifecyclePolicyEntryDefinition, createLink, createLink, createLockTypeLookupTables, createMedia, createMedia, createNamedFreezeLock, createNamedPropertyBundle, createNodeConfiguration, createNodeConfiguration, createOperationActionSpecification, createPermissionBundle, createPolicy, createPropertyBundle, createQueue, createRetentionPolicy, createServerConfiguration, createServerConfiguration, createServiceConfiguration, createServiceConfiguration, createSession, createSession, createStorageGroup, createStorageGroup, createSystemLockObject, createUser, createUserSession, createValueDefault, createValueDomain, deactivateAuditSpecification, deactivateOperationActionSpecification, deactivateSystemObject, defineAuditHandlerSpecificationDefinition, defineAuditHandlerSpecificationDefinition, defineAuditTargetSpecificationDefinition, defineAuditTypeListDefinition, defineAuditTypeListDefinition, definitionExists, deleteAllCategories, deleteAuditSpecification, deleteNamedFreezeLock, deleteRepositoryParameter, deleteUser, deregisterBusinessObject, deregisterDefinition, deregisterObject, deregisterSession, deregisterTransaction, ensureFreed, executePreparedSelect, executePreparedSelect, executePreparedSelect, executePreparedSelect, executePreparedSelectCount, executePreparedSelectCount, executePreparedSelectCount, exists, existsRelative, freeClassDomain, freeClassObject, freeExtendedPermission, freeFolder, freeFormat, freeNamedPropertyBundle, freeNamedPropertyBundle, freeNodeConfiguration, freeNodeConfiguration, freeObject, freePermissionBundle, freePolicy, freeServerConfiguration, freeServerConfiguration, freeServiceConfiguration, freeServiceConfiguration, freeUnreferencedContent, freeValueDefault, freeValueDomain, getAbsolutePath, getAclValueForConfigurationObjects, getAttributeValue, getAttributeValue, getAuditDriverHelper, getAuditEventDispatcher, getAuditingStartingId, getConsoleInputBoolean, getConsoleInputString, getConsoleInputString, getConsoleInputString, getConsoleSecureInputString, getContentPath, getCurrentSession, getDriver, getIncludedFileSettings, getLogWriter, getManagedServerDeclarations, getManagedServiceDeclarations, getParameterTable, getShowDates, getStringsFromArrayToken, getStripNumbersFromAuditEventProperties, handleEventPostedForCustomAuditHistory, handleTimerExpiredForCustomAuditHistory, identifyAcl, identifyApplicationToken, identifyAttribute, identifyAttributePropertyBundle, identifyAuditHandlerSpecification, identifyAuditSpecification, identifyAuditTargetSpecification, identifyAuditTypeList, identifyAutoFolderingActionSpecification, identifyByAttribute, identifyByPath, identifyByRelativePath, identifyCategory, identifyClassAcl, identifyClassDomain, identifyClassObject, identifyClassPolicyBundle, identifyClassPropertyBundle, identifyCustomMediaDriverSpecification, identifyExtendedPermission, identifyFormat, identifyGlobalAuditSpecification, identifyGlobalAuditTypeList, identifyGuestUser, identifyInstancePropertyBundle, identifyLifecycleDateRuleSpecification, identifyLifecyclePolicy, identifyLifecyclePolicyActionSpecification, identifyLifecyclePolicyEntry, identifyMedia, identifyNamedFreezeLock, identifyNamedPropertyBundle, identifyNodeConfiguration, identifyObjectAuditSpecification, identifyObjectProperty, identifyOperationActionSpecification, identifyPermissionBundle, identifyPolicy, identifyPrimaryUserProfile, identifyQueue, identifyQueueTypeMapBundle, identifyRetentionPolicy, identifyServerConfiguration, identifyServiceConfiguration, identifyStorageGroup, identifySystemAcl, identifySystemLockObject, identifySystemUser, identifyUser, identifyValueDefault, identifyValueDomain, identifyWorldGroup, impersonateUser, impersonateUser, isDomainScopeImpliedForSearch, isInArray, log, log, lookupAcl, lookupApplicationToken, lookupAuditDomainContext, lookupAutoFolderingActionSpecification, lookupBusinessObject, lookupBusinessObjectHashtable, lookupBusinessObjectList, lookupClassAcl, lookupDatatype, lookupDefinition, lookupDefinition, lookupDirectoryObject, lookupDocument, lookupFolder, lookupFormat, lookupFormatFromCollection, lookupGroup, lookupMedia, lookupObject, lookupObject, lookupObjectId, lookupOperationActionSpecification, lookupQueue, lookupSessionByTag, lookupSystemAcl, lookupSystemLockObject, lookupTagBySessionId, lookupUser, lookupUserFromCollection, makeDefinitionReadOnly, markCurrentAuditingId, normalizeBooleanString, notifyCustomAuditHistoryHandler, objectExists, postCustomAuditEvent, postCustomAuditEvent, postCustomAuditEvent, postSystemAuditEvent, postSystemAuditEvent, printStackTrace, processRawAuditEvents, purgeGlobalAuditHistory, readDocumentContent, registerAllNonCustomAuditTypes, registerAuditEventType, registerAuditEventType, registerBusinessObject, registerCustomAuditType, registerDefinition, registerNewSession, registerNonCustomAuditEventType, registerObject, registerTransaction, releaseLock, releaseManualLock, removeAcesForFreedGrantees, removeNamedFreezeLock, removeProperties, removeServerFromNodeConfiguration, removeServiceFromNodeConfiguration, removeSession, removeSessionState, rename, replaceMediaLookupsByFormat, replaceSession, resetFolderCountInfo, runSchemaCreator, searchAuditHistory, searchAuditHistory, searchAuditHistory, sessionExists, setAdminMode, setAdminMode, setAuditingStartingId, setAuditSpecificationAuditHandlerSpecificationDefinition, setAuditSpecificationAuditTargetSpecificationDefinition, setAuditSpecificationAuditTypeListDefinition, setAuditTargetSpecificationDefinitionTarget, setBooleanInstanceProperty, setClassProperty, setCreateCategoriesServerSideOption, setCurrentSession, setCurrentSession, setDateFormat, setDefaultAuditEventSortClause, setDefaultMedia, setDefaultScriptOperationsClass, setDefaultStorageGroup, setDefinitionAttribute, setDefinitionAttribute, setDefinitionBooleanAttribute, setDefinitionClassObjectAttribute, setDefinitionDateAttribute, setDefinitionDirectoryObjectArrayAttribute, setDefinitionDirectoryObjectAttribute, setDefinitionDoubleAttribute, setDefinitionIntegerAttribute, setDefinitionLongAttribute, setDefinitionNullStringAttribute, setDefinitionObjectAttribute, setDefinitionSchemaObjectArrayAttribute, setDefinitionSchemaObjectAttribute, setDefinitionStringArrayAttribute, setDefinitionStringAttribute, setDefinitionSystemObjectAttribute, setDocumentDefinitionContentObjectDefinition, setGlobalAuditTypeList, setGlobalOperationActionSpecifications, setInstallationMode, setInstallationMode, setInstanceProperty, setIntegerInstanceProperty, setLifecyclePolicyDefinitionDeleteEntriesOption, setLongInstanceProperty, setLongSessionState, setMainSessionAsCurrentSession, setMediaLookupByFormat, setPreventSessionTimeouts, setPreventSessionTimeouts, setProperty, setPublicObjectInstanceProperty, setRepositoryParameter, setStringInstanceProperty, setStringSessionState, setSystemAdminMode, setSystemAdminMode, setSystemObjectInstanceProperty, setTimeoutPeriodOption, setTimeZone, setUserCreateOptions, setUserDeleteOptions, showAcl, showAggregateAuditEventColumns, showAllAutoFolderingActionSpecifications, showAllClassDomains, showAllClassObjects, showAllCustomAuditSpecifications, showAllCustomMediaDriverSpecifications, showAllExtendedPermissions, showAllExternalRetentionPolicies, showAllFormats, showAllLifecycleDateRuleSpecifications, showAllLifecyclePolicies, showAllLifecyclePolicyActionSpecifications, showAllMedias, showAllNodeConfigurations, showAllNodeConfigurations, showAllOperationActionSpecifications, showAllPermissionBundles, showAllPolicies, showAllRepositoryParameters, showAllRetentionPolicies, showAllServerConfigurations, showAllServerConfigurations, showAllServiceConfigurations, showAllServiceConfigurations, showAllStorageGroups, showAllValueDefaults, showAllValueDomains, showApplicationToken, showApplicationTokens, showAttribute, showAttribute, showAuditCertificates, showAuditEventOperationTypes, showAuditSpecification, showAuditTypeList, showAuditTypesForClass, showAuditTypesForCreateOperations, showAuditTypesForFreeOperations, showAuditTypesUnderClass, showAutoFolderingActionSpecification, showCapabilities, showClassDomain, showClassDomain, showClassObject, showCurrentUser, showCustomAuditHistory, showCustomAuditHistory, showCustomAuditTypes, showCustomMediaDriverSpecification, showDefaultMedia, showDefaultStorageGroup, showDefinition, showDefinitionObject, showDocument, showDocumentCharacterSet, showDocumentContentInfo, showDocumentLanguage, showDocumentsWithLifecyclePolicy, showExpandedAuditTypeList, showExtendedPermission, showFolder, showFolderCountInfo, showFormat, showGlobalAuditHistory, showGlobalAuditHistory, showGlobalAuditSpecification, showGlobalAuditTypeList, showGroup, showInstanceProperty, showInstancePropertyBundle, showLibraryObject, showLifecycleDateRuleSpecification, showLifecyclePolicy, showLifecyclePolicyActionSpecification, showLifecyclePolicyEntry, showLink, showLocalizer, showLockEntry, showLockEntryInfo, showLockTypeLookupTables, showMedia, showMediaLookupByFormatMappings, showNamedPropertyBundle, showNodeConfiguration, showNodeConfiguration, showObject, showObjectAuditHistory, showObjectAuditHistory, showObjectAuditSpecification, showOperationActionSpecification, showPermissionBundle, showPolicy, showProperty, showPropertyBundle, showRepositoryParameter, showRetentionPolicy, showServerConfiguration, showServerConfiguration, showServiceConfiguration, showServiceConfiguration, showServiceStatistics, showSessionCacheStatistics, showSessionState, showStorageGroup, showUser, showValueDefault, showValueDefault, showValueDomain, showValueDomain, sleep, syncContentIndex, tokenToDirectoryObjectArray, tokenToDirectoryUserArray, transactionExists, transferContent, unregisterAuditEventType, unregisterCustomAuditType, update, updateClassDomain, updateDefinitionObject, updateHandlerAgentIdentifier, updateNodeConfiguration, updateNodeConfiguration, updateServerConfiguration, updateServerConfiguration, updateServiceConfiguration, updateServiceConfiguration, updateUserPassword, updateValueDefault, updateValueDomain, verifyBusinessObjectTagNotExists, verifyDefinitionTagNotExists, verifyDefinitionWriteable, verifyObjectTagNotExists, writeConsoleOutputString, writeConsoleOutputString, writeDocumentContentToFile, zeroPad`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FolderIndexOperations

    public FolderIndexOperations(ScriptDriver driver)

  Constructs an FolderIndexOperations.

  Parameters:
    `driver` - the main script driver instance
  (Published)

Method Detail

### dropFolderIndex

    public void dropFolderIndex(AttributeValueTable avt)
                         throws IfsException

  Description copied from class: `FolderIndexOperations`
  Drop the current Folder index.

  The keys supported by this operation:

  - SKIPIFNOTEXISTS: whether to skip the operation if no index exists (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### createFolderIndex

    public void createFolderIndex(AttributeValueTable avt)
                           throws IfsException

  Description copied from class: `FolderIndexOperations`
  Create a Folder index.

  The keys supported by this operation:

  - MAXLEVEL: maximum index level
  - UPDATEMODE: the update mode: valid values are Sync[hronous] and Async[hronous]
  - DEFERTOAGENT: whether to defer most of the index creation to FolderIndexAgent; valid only with UpdateMode set to Asynchronous
  - SKIPIFEXISTS: whether to skip the operation if index exists (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### updateFolderIndex

    public void updateFolderIndex(AttributeValueTable avt)
                           throws IfsException

  Description copied from class: `FolderIndexOperations`
  Update the Folder index.

  The keys supported by this operation:

  - UPDATEMODE: the new update mode: valid values are Sync[hronous] and Async[hronous]
  - APPLYDEFERREDUPDATES: whether to apply updates deferred to FolderIndexAgent
  - USEEXISTSCLAUSEFORSEARCH: whether to change search setting so that "exists" clause is used in FRQ searches
  - USEINCLAUSEFORSEARCH: whether to change search setting so that "in" clause is used in FRQ searches
  - SKIPIFNOTEXISTS: whether to skip the operation if index does not exist (boolean)

  Parameters:
    `avt` - the named arguments
  Throws:
    `IfsException` - if the operation fails
  (Published)

### isIndexEnabled

    protected boolean isIndexEnabled(LibrarySession session)
                              throws IfsException

  Description copied from class: `FolderIndexOperations`
  Return true if there is a folder index enabled currently.

  Parameters:
    `session` - the session
  Returns:
    true if there is a folder index enabled
  Throws:
    `IfsException` - if operation fails
  (Published)

### getMaxLevel

    protected int getMaxLevel(LibrarySession session)
                       throws IfsException

  Description copied from class: `FolderIndexOperations`
  Get the maximum folder index level.

  Will return -1 if no index exists.

  Parameters:
    `session` - the session
  Returns:
    the max level.
  Throws:
    `IfsException` - if operation fails
  (Published)

### isUpdateModeSynchronous

    protected boolean isUpdateModeSynchronous(LibrarySession session)
                                       throws IfsException

  Description copied from class: `FolderIndexOperations`
  Return true if the update mode of the folder index is synchronous.

  This also returns true if there is no folder index.

  Parameters:
    `session` - the session
  Returns:
    true if the update mode of the folder index is synchronous.
  Throws:
    `IfsException` - if operation fails
  (Published)

### createFolderIndexTables

    protected void createFolderIndexTables(LibrarySession session,
                                           int maxLevel,
                                           java.lang.String prefix)
                                    throws IfsException

  Description copied from class: `FolderIndexOperations`
  Create the tables that comprise the folder index.

  Also initialize the table with "self" rows for all existing folders. All entries are initialized at level 0 of the folder index.

  Parameters:
    `session` - the session
    `maxLevel` - the max level
    `prefix` - the indentation prefix for log messages
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### createInitialFolderIndexRows

    protected void createInitialFolderIndexRows(LibrarySession session,
                                                java.lang.String prefix)
                                         throws IfsException

  Description copied from class: `FolderIndexOperations`
  Create the initial self-reference rows for the folder index.

  Parameters:
    `session` - the session
    `prefix` - the indentation prefix for log messages
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### resetFolderIndexRows

    protected void resetFolderIndexRows(LibrarySession session,
                                        java.lang.String prefix)
                                 throws IfsException

  Description copied from class: `FolderIndexOperations`
  Delete all rows form the folder index except for the "self" rows used to register each existing folder.

  Parameters:
    `session` - the session
    `prefix` - the indentation prefix for log messages
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### dropIndex

    protected void dropIndex(LibrarySession session,
                             java.lang.String prefix)
                      throws IfsException

  Description copied from class: `FolderIndexOperations`
  Drop the folder index.

  This method has no effect if there is no index to drop.

  Parameters:
    `session` - the session
    `prefix` - the indentation prefix for log messages
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### completeIndexCreation

    protected void completeIndexCreation(LibrarySession session,
                                         boolean deferCreate,
                                         java.lang.String prefix)
                                  throws IfsException

  Description copied from class: `FolderIndexOperations`
  Completes the creation of the folder index.

  This must be called to remove the "partially created" flag on the index.

  Parameters:
    `session` - the session
    `deferCreate` - whether creation is being deferred to the agent
    `prefix` - the indentation prefix for log messages
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### changeUpdateMode

    protected void changeUpdateMode(LibrarySession session,
                                    boolean isSync,
                                    java.lang.String prefix)
                             throws IfsException

  Description copied from class: `FolderIndexOperations`
  Change update mode to either synchronous or asynchronous.

  If the specified mode is the same as the current mode of the index, no change takes place (and no exception is thrown)

  Parameters:
    `session` - the session
    `isSync` - the desired update mode: true = synchronous, false = asynchronous
    `prefix` - the indentation prefix for log messages
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### promoteFolder

    protected void promoteFolder(LibrarySession session,
                                 Folder folder,
                                 int newLevel,
                                 java.lang.String prefix)
                          throws IfsException

  Description copied from class: `FolderIndexOperations`
  Promote a folder to a higher index level.

  Parameters:
    `session` - the session
    `folder` - the folder to promote
    `newLevel` - the new level
    `prefix` - the indentation prefix for log messages
  Throws:
    `IfsException` - if operation fails

### promoteFoldersByPath

    protected void promoteFoldersByPath(LibrarySession session,
                                        java.lang.String[] paths,
                                        int newLevel,
                                        java.lang.String prefix)
                                 throws IfsException

  Description copied from class: `FolderIndexOperations`
  Promote folders to a higher index level.

  The folders are specifed by absolute folder path.

  Parameters:
    `session` - the session
    `paths` - the paths for the folders to promote
    `newLevel` - the new level
    `prefix` - the indentation prefix for log messages
  Throws:
    `IfsException` - if operation fails

### rebuildIndex

    protected void rebuildIndex(LibrarySession session,
                                java.lang.String prefix)
                         throws IfsException

  Description copied from class: `FolderIndexOperations`
  Rebuild the folder index.

  Assume that the index has been either reset back to a state where only self rows exist, or that a new index has been created, but only self rows currently exist.

  Parameters:
    `session` - the session
    `prefix` - the indentation prefix for log messages
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### applyDeferredUpdates

    protected long applyDeferredUpdates(LibrarySession session,
                                        java.lang.String prefix)
                                 throws IfsException

  Description copied from class: `FolderIndexOperations`
  Apply deferred updates.

  Parameters:
    `session` - the session
    `prefix` - the indentation prefix for log messages
  Returns:
    the number of updates applied
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### setUseExistsClause

    protected void setUseExistsClause(LibrarySession session,
                                      boolean useExists,
                                      java.lang.String prefix)
                               throws IfsException

  Description copied from class: `FolderIndexOperations`
  Update the 'UseExistsClause' property on the FolderIndex propertyBundle event target.

  Parameters:
    `session` - the session
    `useExists` - the desired value for the search property
    `prefix` - the indentation prefix for log messages
  Throws:
    `IfsException` - if operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD